cutlass::log2_down< N, CurrentVal, Count > Struct Template Reference

`#include <fast_math.h>`

## Public Types

enum | { value = log2_down<N, (CurrentVal >> 1), Count + 1>::value }
| Static logarithm value. More...

## Detailed Description

### template<int N, int CurrentVal = N, int Count = 0>
struct cutlass::log2_down< N, CurrentVal, Count >

Statically determine log2(N), rounded down

## Member Enumeration Documentation

template<int N, int CurrentVal = N, int Count = 0>

anonymous enum

Enumerator
value |

The documentation for this struct was generated from the following file:

- fast_math.h